/*++

Copyright (c) 1997      Philips Semiconductors, APIC

Module Name:

        HIDCALLS.H

Abstract:

   The Monitor Control HID APIs.

Environment:

    Kernel & user mode

Revision History:

    May-1997 : created by Subhash B.

--*/

#include "vcpstruct.h"

#define MAXNUMBERDEVICES 	127
#define MAXDATASIZE			256

typedef	DWORD	(WINAPI* PCALLBACKAPPLET)(PCALLBACK_APPLET_STRUCT);

#ifdef __cplusplus
extern "C" {
#endif

DWORD APIENTRY RegisterApplet(PCALLBACKAPPLET pCallBackApplet, HWND hWnd);
BOOL APIENTRY FilterPMsg(UINT wParam,LONG lParam);
BOOLEAN	APIENTRY GetMonitorDevices (
   HANDLE* Hid_DeviceHandle,
   PULONG  Hid_DeviceCount
   );

BOOLEAN	APIENTRY
Hid_SetReport(PPHILIPS_MAINREPORT pMainReport);

BOOLEAN	APIENTRY
Hid_GetReport(PPHILIPS_MAINREPORT pMainReport, PRANGE_REPORT pRangeReport, PAUX_REPORT pAuxReport );
BOOLEAN	APIENTRY DeleteDevices();


#ifdef __cplusplus
}
#endif

